package outils;

import java.util.Iterator;

import domaine.ListeChane;

public class AdaptateurDeListeChane<T>
implements Iterable<T>
{
	private ListeChane<T> adapte; 
	public AdaptateurDeListeChane(ListeChane<T> liste) {
		adapte = liste;
	}
	public boolean isEmpty() {
		return adapte.estVide();
	}
	public void add(T elt) {
		adapte.ajoute(elt);
	}
	public boolean contains(T elt) {
		return adapte.contient(elt);
	}
	public T get(int index) {
		return adapte.lment(index);
	}
	public int size() {
		return adapte.taille();
	}
	public void remove(T elt) {
		adapte.retire(elt);
	}
	public void remove(int index) {
		adapte.retire(index);
	}
	public Iterator<T> iterator() {
		return new AdaptateurDItrateur<T>(adapte.itrateur());
	}
}
